## ros-geometric-shapes 0.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometric_shapes)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/" ${CMAKE_MODULE_PATH})

if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED system filesystem)

find_package(ASSIMP QUIET)
if (NOT ASSIMP_FOUND)
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(ASSIMP assimp)
endif()
if (ASSIMP_FOUND)
  if (NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.1150")
    add_definitions(-DASSIMP_UNIFIED_HEADER_NAMES)
    message(STATUS "Assimp version has unified headers")
  else()
    message(STATUS "Assimp version does not have unified headers")
  endif()
else()
  message(STATUS "could not find assimp (perhaps available thorugh ROS package?), so assuming assimp v2")
  set(ASSIMP_INCLUDE_DIRS )
  set(ASSIMP_LIBRARY_DIRS )
  set(ASSIMP_LIBRARIES assimp)
  set(ASSIMP_LIBRARY_DIRS)
  set(ASSIMP_CXX_FLAGS)
  set(ASSIMP_CFLAGS_OTHER)
  set(ASSIMP_LINK_FLAGS)
  set(ASSIMP_INCLUDE_DIRS)
endif()

find_package(octomap REQUIRED)
find_package(catkin COMPONENTS cmake_modules visualization_msgs shape_msgs resource_retriever random_numbers eigen_stl_containers)
find_package(console_bridge REQUIRED)

find_package(Eigen REQUIRED)

catkin_package(
  INCLUDE_DIRS include ${OCTOMAP_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME} ${OCTOMAP_LIBRARIES}
  CATKIN_DEPENDS shape_msgs random_numbers eigen_stl_containers visualization_msgs
  DEPENDS Eigen console_bridge
  )

find_package(Qhull REQUIRED)
if (HAVE_QHULL_2011)
  add_definitions(-DGEOMETRIC_SHAPES_HAVE_QHULL_2011)
endif()

include_directories(include)
include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS})
include_directories(${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS} ${console_bridge_LIBRARY_DIRS} ${ASSIMP_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/shapes.cpp
  src/shape_operations.cpp
  src/mesh_operations.cpp
  src/bodies.cpp
  src/body_operations.cpp
  src/shape_to_marker.cpp
  src/shape_extents.cpp)
target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  # Unit tests
  add_subdirectory(test)
endif()

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib)

install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h")

=== test/CMakeLists.txt ===
file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/resources" TEST_RESOURCES_DIR)
if(WIN32)
    # Correct directory separator for Windows
    string(REPLACE "\\" "\\\\" TEST_RESOURCES_DIR "${TEST_RESOURCES_DIR}")
endif(WIN32)
configure_file(resources/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/resources/config.h")
include_directories(${CMAKE_CURRENT_BINARY_DIR})

catkin_add_gtest(test_point_inclusion test_point_inclusion.cpp)
target_link_libraries(test_point_inclusion ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_bounding_sphere test_bounding_sphere.cpp)
target_link_libraries(test_bounding_sphere ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-geometric-shapes (0.4.3-2build1) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:53:21 +0000

ros-geometric-shapes (0.4.3-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:08:46 +0100

ros-geometric-shapes (0.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #804934)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 22:58:34 +0000

=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>> 0.6.16-2), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/geometric_shapes
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-geometric-shapes.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-geometric-shapes.git

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Depends: libgeometric-shapes0d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: Robot OS geometric_shapes package - development files 
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the development files.

Package: libgeometric-shapes0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the library itself.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/geometric_shapes-$1\.tar\.gz/ \
  https://github.com/ros-planning/geometric_shapes/releases .*/v?(\d\S*)\.tar\.gz

## ros-geometric-shapes 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(geometric_shapes)

add_compile_options(-std=c++11)

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: Choosing 'Release' for maximum performance")
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(ASSIMP QUIET)
if (NOT ASSIMP_FOUND)
  find_package(PkgConfig REQUIRED)
  # assimp is required, so REQUIRE the second attempt
  pkg_check_modules(ASSIMP REQUIRED assimp)
endif()

find_package(Boost REQUIRED system filesystem)

find_package(console_bridge REQUIRED)

find_package(Eigen3 REQUIRED)

find_package(octomap REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  eigen_stl_containers
  random_numbers
  resource_retriever
  shape_msgs
  visualization_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES ${PROJECT_NAME} ${OCTOMAP_LIBRARIES}
  CATKIN_DEPENDS
    eigen_stl_containers
    random_numbers
    shape_msgs
    visualization_msgs
  DEPENDS
    EIGEN3
    OCTOMAP
    console_bridge
  )

find_package(Qhull REQUIRED)
if (HAVE_QHULL_2011)
  add_definitions(-DGEOMETRIC_SHAPES_HAVE_QHULL_2011)
endif()

include_directories(include)
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS})
include_directories(${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/bodies.cpp
  src/body_operations.cpp
  src/mesh_operations.cpp
  src/shape_extents.cpp
  src/shape_operations.cpp
  src/shape_to_marker.cpp
  src/shapes.cpp
)

target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  # Unit tests
  add_subdirectory(test)
endif()

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 if(WIN32)
     # Correct directory separator for Windows
     string(REPLACE "\\" "\\\\" TEST_RESOURCES_DIR "${TEST_RESOURCES_DIR}")
-endif(WIN32)
+endif()
 configure_file(resources/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/resources/config.h")
 include_directories(${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
ros-geometric-shapes (0.5.1-2) unstable; urgency=medium

  * upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Sep 2016 08:09:24 +0200

ros-geometric-shapes (0.5.1-1) experimental; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 0.5.1
  * Rebase patches
  * Soname bump due to ABI changes

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Sep 2016 12:48:18 +0200

ros-geometric-shapes (0.4.4-1) unstable; urgency=medium

  * Imported Upstream version 0.4.4

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:04:03 +0200

=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>> 0.6.16-2), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://wiki.ros.org/geometric_shapes
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometric-shapes.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometric-shapes.git

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Depends: libgeometric-shapes1d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: Robot OS geometric_shapes package - development files 
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the development files.

Package: libgeometric-shapes1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the library itself.

## ros-geometric-shapes 0.5.2

=== debian/changelog ===
ros-geometric-shapes (0.5.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2016 08:30:05 +0200

ros-geometric-shapes (0.5.2-1) experimental; urgency=medium

  * New upstream version 0.5.2
  * Update copyright
  * Bump Soname

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 21 Oct 2016 23:53:11 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
 Package: libgeometric-shapes-dev
 Section: libdevel
 Architecture: any
-Depends: libgeometric-shapes1d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
+Depends: libgeometric-shapes2d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
 Description: Robot OS geometric_shapes package - development files 
  This package is part of Robot OS (ROS), and contains generic
  definitions of geometric shapes and bodies.
  .
  This package contains the development files.
 
-Package: libgeometric-shapes1d
+Package: libgeometric-shapes2d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same

## ros-geometric-shapes 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 endif()
 
 include_directories(include)
-include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS})
+include_directories(${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS})
 include_directories(${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
 
 add_library(${PROJECT_NAME}

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,9 @@
 
 catkin_add_gtest(test_bounding_sphere test_bounding_sphere.cpp)
 target_link_libraries(test_bounding_sphere ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_create_mesh test_create_mesh.cpp)
+target_link_libraries(test_create_mesh ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_loaded_meshes test_loaded_meshes.cpp)
+target_link_libraries(test_loaded_meshes ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-geometric-shapes (0.5.3-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o

  [ Jose Luis Rivero ]
  * Added patch to solve problems with console-bridge 0.4 (Closes: #891516)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 20:27:35 +0100

ros-geometric-shapes (0.5.3-1) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * New upstream version 0.5.3
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 16:54:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>> 0.6.16-2), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://wiki.ros.org/geometric_shapes
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometric-shapes.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-geometric-shapes.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
+Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git
 
 Package: libgeometric-shapes-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --buildsystem=cmake

# test suite is broken atm.
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-geometric-shapes 0.6.0

=== debian/changelog ===
ros-geometric-shapes (0.6.0-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 22:00:55 +0200

ros-geometric-shapes (0.6.0-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 0.6.0
  * Rebase patches
  * Bump Soname due to ABI change
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 19:36:34 +0200

=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Depends: libgeometric-shapes3d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: Robot OS geometric_shapes package - development files 
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the development files.

Package: libgeometric-shapes3d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the library itself.

## ros-geometric-shapes 0.6.1

=== debian/changelog ===
ros-geometric-shapes (0.6.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:32 +0100

ros-geometric-shapes (0.6.1-1build1) focal; urgency=medium

  * No-change upload for libassimp soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 07:29:44 +0100

ros-geometric-shapes (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Dec 2018 13:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 11), libboost-system-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometric_shapes

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometric-shapes-$1.tar.gz%" \
    https://github.com/ros-planning/geometric_shapes/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-geometric-shapes 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0.2)
 project(geometric_shapes)
 
 add_compile_options(-std=c++11)
@@ -14,8 +14,15 @@
 if (NOT ASSIMP_FOUND)
   find_package(PkgConfig REQUIRED)
   # assimp is required, so REQUIRE the second attempt
-  pkg_check_modules(ASSIMP REQUIRED assimp)
+  pkg_check_modules(ASSIMP_PC REQUIRED assimp)
+  set(ASSIMP_INCLUDE_DIRS ${ASSIMP_PC_INCLUDE_DIRS})
 endif()
+
+# find *absolute* paths to ASSIMP_LIBRARIES
+# Both, pkg-config and assimp's cmake-config don't provide an absolute library path.
+# For, pkg-config the path is in ASSIMP_PC_LIBRARY_DIRS, for cmake in ASSIMP_LIBRARY_DIRS.
+find_library(ASSIMP_ABS_LIBRARIES NAMES ${ASSIMP_LIBRARIES} assimp HINTS ${ASSIMP_LIBRARY_DIRS} ${ASSIMP_PC_LIBRARY_DIRS})
+set(ASSIMP_LIBRARIES "${ASSIMP_ABS_LIBRARIES}")
 
 find_package(Boost REQUIRED system filesystem)
 
@@ -58,6 +65,7 @@
 include_directories(${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
 
 add_library(${PROJECT_NAME}
+  src/aabb.cpp
   src/bodies.cpp
   src/body_operations.cpp
   src/mesh_operations.cpp
@@ -77,7 +85,8 @@
 
 install(TARGETS ${PROJECT_NAME}
         ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
+        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-geometric-shapes (0.7.0-4) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 13:09:51 +0100

ros-geometric-shapes (0.7.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jun 2020 23:18:50 +0200

ros-geometric-shapes (0.7.0-2) experimental; urgency=medium

  * Ignore test results

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 10:15:30 +0200

ros-geometric-shapes (0.7.0-1) experimental; urgency=medium

  * add Salsa CI
  * simplify d/watch
  * New upstream version 0.7.0
  * update copyright
  * Remove Thomas from Uploaders, thanks for working on this
  * Add patch for qhull_r
  * Bump Soname due to ABI change
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Jun 2020 22:19:28 +0200

=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin, ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev
Standards-Version: 4.5.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Depends: libgeometric-shapes4d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: Robot OS geometric_shapes package - development files 
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the development files.

Package: libgeometric-shapes4d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.
 .
 This package contains the library itself.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
# ignore test results due to broken tests
#	catkin_test_results

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometric-shapes-$1.tar.gz%" \
    https://github.com/ros-planning/geometric_shapes/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-geometric-shapes 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,29 @@
 
 add_compile_options(-std=c++11)
 
+# Set compile options
+set(PROJECT_COMPILE_OPTIONS
+  -Wall
+  -Wextra
+  -Wwrite-strings
+  -Wunreachable-code
+  -Wpointer-arith
+  -Wredundant-decls
+  -Wno-unused-parameter
+)
+
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")
 
-if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
+if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
   message("${PROJECT_NAME}: You did not request a specific build type: Choosing 'Release' for maximum performance")
   set(CMAKE_BUILD_TYPE Release)
 endif()
 
+# TODO(henningkayser): Remove policy fix when assimp 5.1 is available
+# Suppress policy warning in assimp (https://github.com/assimp/assimp/pull/2722)
+set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)
 find_package(ASSIMP QUIET)
-if (NOT ASSIMP_FOUND)
+if(NOT ASSIMP_FOUND)
   find_package(PkgConfig REQUIRED)
   # assimp is required, so REQUIRE the second attempt
   pkg_check_modules(ASSIMP_PC REQUIRED assimp)
@@ -55,14 +69,12 @@
     console_bridge
   )
 
-find_package(Qhull REQUIRED)
-if (HAVE_QHULL_2011)
-  add_definitions(-DGEOMETRIC_SHAPES_HAVE_QHULL_2011)
-endif()
+find_package(QHULL REQUIRED)
 
 include_directories(include)
-include_directories(${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS})
-include_directories(${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
+include_directories(SYSTEM
+  ${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS}
+  ${QHULL_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
 
 add_library(${PROJECT_NAME}
   src/aabb.cpp
@@ -74,6 +86,8 @@
   src/shape_to_marker.cpp
   src/shapes.cpp
 )
+target_compile_options(${PROJECT_NAME} PRIVATE ${PROJECT_COMPILE_OPTIONS})
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
 
 target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -6,14 +6,32 @@
 configure_file(resources/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/resources/config.h")
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
+catkin_add_gtest(test_basics test_basics.cpp)
+# target_link_libraries(test_basics ) # only depends on Eigen, which is header-only
+
 catkin_add_gtest(test_point_inclusion test_point_inclusion.cpp)
 target_link_libraries(test_point_inclusion ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
 catkin_add_gtest(test_bounding_sphere test_bounding_sphere.cpp)
 target_link_libraries(test_bounding_sphere ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
+catkin_add_gtest(test_bounding_box test_bounding_box.cpp)
+target_link_libraries(test_bounding_box ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_bounding_cylinder test_bounding_cylinder.cpp)
+target_link_libraries(test_bounding_cylinder ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
 catkin_add_gtest(test_create_mesh test_create_mesh.cpp)
 target_link_libraries(test_create_mesh ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
 catkin_add_gtest(test_loaded_meshes test_loaded_meshes.cpp)
 target_link_libraries(test_loaded_meshes ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_shapes test_shapes.cpp)
+target_link_libraries(test_shapes ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_ray_intersection test_ray_intersection.cpp)
+target_link_libraries(test_ray_intersection ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+
+catkin_add_gtest(test_body_operations test_body_operations.cpp)
+target_link_libraries(test_body_operations ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-geometric-shapes (0.7.3-7) unstable; urgency=medium

  * Ignore test results on mipsel

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 21 Sep 2022 17:31:07 +0200

ros-geometric-shapes (0.7.3-6) unstable; urgency=medium

  * Ignore test results on s390x and ppc64
  * Bump policy version (no changes)
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 21 Sep 2022 12:01:36 +0200

ros-geometric-shapes (0.7.3-5) unstable; urgency=medium

  * Add patch to disable failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 13:38:09 +0200

ros-geometric-shapes (0.7.3-4) unstable; urgency=medium

  * Enable unit tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 09:41:42 +0200

ros-geometric-shapes (0.7.3-3) unstable; urgency=medium

  * Add missing build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Oct 2021 22:04:34 +0200

ros-geometric-shapes (0.7.3-2) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Oct 2021 15:39:45 +0200

ros-geometric-shapes (0.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.7.3
  * Drop patch 0002-Port-to_qhull_r (merged upstream)
  * Bump SOVERSION to 5d after ABI break

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Sep 2021 21:21:42 +0200

ros-geometric-shapes (0.7.0-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:13 +0200

ros-geometric-shapes (0.7.0-5) experimental; urgency=medium

  * Team upload.
  * Restrict d/watch to ROS 1 versions
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Sep 2021 15:55:02 +0200

=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>= 0.8.10-1~), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev, libgtest-dev
Standards-Version: 4.6.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgeometric-shapes5d (= ${binary:Version}), ${misc:Depends}, libeigen3-dev, libshape-msgs-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libvisualization-msgs-dev, libboost-filesystem-dev, libassimp-dev, liboctomap-dev, ros-cmake-modules, libresource-retriever-dev, librosconsole-bridge-dev, libqhull-dev
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libgeometric-shapes5d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library itself.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel s390x ppc64))
	catkin_test_results
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometric-shapes-$1.tar.gz%" \
    https://github.com/ros-planning/geometric_shapes/tags \
    (?:.*?/)?v?([01]\.[\d.]*)\.tar\.gz

## ros-geometric-shapes 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,12 +21,14 @@
   set(CMAKE_BUILD_TYPE Release)
 endif()
 
+# used for finding Assimp and FCL
+find_package(PkgConfig REQUIRED)
+
 # TODO(henningkayser): Remove policy fix when assimp 5.1 is available
 # Suppress policy warning in assimp (https://github.com/assimp/assimp/pull/2722)
 set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)
 find_package(ASSIMP QUIET)
 if(NOT ASSIMP_FOUND)
-  find_package(PkgConfig REQUIRED)
   # assimp is required, so REQUIRE the second attempt
   pkg_check_modules(ASSIMP_PC REQUIRED assimp)
   set(ASSIMP_INCLUDE_DIRS ${ASSIMP_PC_INCLUDE_DIRS})
@@ -45,6 +47,15 @@
 find_package(Eigen3 REQUIRED)
 
 find_package(octomap REQUIRED)
+
+pkg_check_modules(LIBFCL_PC REQUIRED fcl)
+# find *absolute* paths to LIBFCL_* paths
+find_path(LIBFCL_INCLUDE_DIRS fcl/config.h HINTS ${LIBFCL_PC_INCLUDE_DIR} ${LIBFCL_PC_INCLUDE_DIRS})
+set(LIBFCL_LIBRARIES)
+foreach(_lib ${LIBFCL_PC_LIBRARIES})
+  find_library(_lib_${_lib} ${_lib} HINTS ${LIBFCL_PC_LIBRARY_DIRS})
+  list(APPEND LIBFCL_LIBRARIES ${_lib_${_lib}})
+endforeach()
 
 find_package(catkin REQUIRED COMPONENTS
   eigen_stl_containers
@@ -74,13 +85,14 @@
 include_directories(include)
 include_directories(SYSTEM
   ${EIGEN3_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS}
-  ${QHULL_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
+  ${QHULL_INCLUDE_DIRS} ${LIBFCL_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})
 
 add_library(${PROJECT_NAME}
   src/aabb.cpp
   src/bodies.cpp
   src/body_operations.cpp
   src/mesh_operations.cpp
+  src/obb.cpp
   src/shape_extents.cpp
   src/shape_operations.cpp
   src/shape_to_marker.cpp
@@ -89,7 +101,7 @@
 target_compile_options(${PROJECT_NAME} PRIVATE ${PROJECT_COMPILE_OPTIONS})
 set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
 
-target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})
+target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES} ${LIBFCL_LIBRARIES})
 
 
 if(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-geometric-shapes (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5
  * Update d/copyright
  * Rebase patch
  * Add patch for assimp and fcl for cross compilable
  * Bump policy version (no changes)
  * Add new libfcl-dev build dependency
  * Add patch for old C++ standard

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 22:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>= 0.8.10-1~), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev, libgtest-dev
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), libboost-filesystem-dev, libassimp-dev, liboctomap-dev, catkin (>= 0.8.10-1~), ros-cmake-modules, libvisualization-msgs-dev, libshape-msgs-dev, libresource-retriever-dev, librandom-numbers-dev, libeigen-stl-containers-dev, libeigen3-dev, libqhull-dev, librosconsole-bridge-dev, libgtest-dev, libfcl-dev
+Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometric_shapes

## ros-geometric-shapes 0.7.6

=== debian/changelog ===
ros-geometric-shapes (0.7.6-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Sun, 29 Sep 2024 21:07:49 +0200

ros-geometric-shapes (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:02:37 +0200

=== debian/control ===
Source: ros-geometric-shapes
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 libassimp-dev,
 libboost-filesystem-dev,
 libeigen-stl-containers-dev,
 libeigen3-dev,
 libfcl-dev,
 libgtest-dev,
 liboctomap-dev,
 libqhull-dev,
 librandom-numbers-dev,
 libresource-retriever-dev,
 librosconsole-bridge-dev,
 libshape-msgs-dev,
 libvisualization-msgs-dev,
 ros-cmake-modules,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometric_shapes
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometric-shapes
Vcs-Git: https://salsa.debian.org/science-team/ros-geometric-shapes.git
Description: Robot OS geometric_shapes package
 This package is part of Robot OS (ROS), and contains generic
 definitions of geometric shapes and bodies.

Package: libgeometric-shapes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libassimp-dev,
 libboost-filesystem-dev,
 libeigen-stl-containers-dev,
 libeigen3-dev,
 libgeometric-shapes5d (= ${binary:Version}),
 liboctomap-dev,
 libqhull-dev,
 librandom-numbers-dev,
 libresource-retriever-dev,
 librosconsole-bridge-dev,
 libshape-msgs-dev,
 libvisualization-msgs-dev,
 ros-cmake-modules,
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: libgeometric-shapes5d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library itself.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel s390x ppc64))
export ROS_IGNORE_TEST_RESULTS = 1
endif

%:
	dh $@ --buildsystem=ros

## ros-geometric-shapes 0.7.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(geometric_shapes)
-
-add_compile_options(-std=c++11)
 
 # Set compile options
 set(PROJECT_COMPILE_OPTIONS

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 target_link_libraries(test_bounding_sphere ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
 catkin_add_gtest(test_bounding_box test_bounding_box.cpp)
-target_link_libraries(test_bounding_box ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
+target_link_libraries(test_bounding_box ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LIBFCL_LIBRARIES})
 
 catkin_add_gtest(test_bounding_cylinder test_bounding_cylinder.cpp)
 target_link_libraries(test_bounding_cylinder ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-geometric-shapes (0.7.7-1) unstable; urgency=medium

  * New upstream version 0.7.7
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 21:57:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin (>= 0.8.10-1~),
  debhelper-compat (= 13),
  dh-ros,
+ catkin (>= 0.8.10-1~),
  libassimp-dev,
  libboost-filesystem-dev,
  libeigen-stl-containers-dev,
@@ -23,7 +23,7 @@
  libshape-msgs-dev,
  libvisualization-msgs-dev,
  ros-cmake-modules,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometric_shapes
